VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmMain 
   Caption         =   "Where would you hide a tree?"
   ClientHeight    =   6900
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5160
   Icon            =   "main.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   6900
   ScaleWidth      =   5160
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   3000
      Top             =   4080
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton Command4 
      Caption         =   "Save This Picture"
      Height          =   375
      Left            =   2640
      TabIndex        =   11
      Top             =   2880
      Width           =   1695
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Load a Picture"
      Height          =   375
      Left            =   120
      TabIndex        =   10
      Top             =   2880
      Width           =   1335
   End
   Begin VB.ComboBox cmbBits 
      Height          =   315
      ItemData        =   "main.frx":030A
      Left            =   3600
      List            =   "main.frx":0323
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   8
      Top             =   2160
      Width           =   1455
   End
   Begin VB.CheckBox chkBlue 
      Caption         =   "Use Blue"
      Height          =   255
      Left            =   2400
      TabIndex        =   7
      Top             =   2160
      Value           =   1  'Checked
      Width           =   1095
   End
   Begin VB.CheckBox chkGreen 
      Caption         =   "Use Green"
      Height          =   255
      Left            =   1200
      TabIndex        =   6
      Top             =   2160
      Value           =   1  'Checked
      Width           =   1215
   End
   Begin VB.CheckBox chkRed 
      Caption         =   "Use Red"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   2160
      Value           =   1  'Checked
      Width           =   1095
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Find Message"
      Height          =   375
      Left            =   2640
      TabIndex        =   4
      Top             =   1680
      Width           =   1335
   End
   Begin VB.TextBox Text2 
      Height          =   1455
      Left            =   2640
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   2
      Top             =   120
      Width           =   2415
   End
   Begin VB.TextBox Text1 
      Height          =   1455
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      Text            =   "main.frx":035E
      Top             =   120
      Width           =   2415
   End
   Begin VB.PictureBox Picture2 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      Height          =   3495
      Left            =   120
      ScaleHeight     =   3435
      ScaleWidth      =   4905
      TabIndex        =   12
      Top             =   3360
      Width           =   4965
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Hide Message"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   1680
      Width           =   1335
   End
   Begin VB.PictureBox Picture1 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      Height          =   2775
      Left            =   120
      Picture         =   "main.frx":03B1
      ScaleHeight     =   2715
      ScaleWidth      =   1950
      TabIndex        =   0
      Top             =   120
      Visible         =   0   'False
      Width           =   2010
   End
   Begin VB.Label lblBytesAvail 
      Caption         =   "Label1"
      Height          =   375
      Left            =   120
      TabIndex        =   9
      Top             =   2520
      Width           =   4935
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub chkblue_Click()
  subInit
End Sub

Private Sub chkRed_Click()
  subInit
End Sub

Private Sub chkgreen_Click()
  subInit
End Sub

Private Sub cmbBits_Click()
  Static blnInit As Boolean

  If blnInit Then subInit
  blnInit = True
End Sub

Private Sub Command1_Click()
  Picture2.Width = Picture1.Width
  Picture2.Height = Picture1.Height
  subHideMessage Text1, Picture1, Picture2, cmbBits.ItemData(cmbBits.ListIndex), chkRed, chkGreen, chkBlue, 0
End Sub

Private Sub Command2_Click()
  Text2 = fcnFindMessage(Picture2, cmbBits.ItemData(cmbBits.ListIndex), chkRed, chkGreen, chkBlue, 0)
End Sub

Private Sub Command3_Click()
  On Error Resume Next
  Dim strFileName As String

  CommonDialog1.InitDir = App.Path
  CommonDialog1.ShowOpen
  strFileName = CommonDialog1.FileName

  Picture1.Picture = LoadPicture(strFileName)
  Picture2.Picture = LoadPicture(strFileName)
End Sub

Private Sub Command4_Click()
  On Error Resume Next
  Dim strFileName As String

  CommonDialog1.InitDir = App.Path
  CommonDialog1.Filter = "*.bmp"
  CommonDialog1.ShowSave
  strFileName = CommonDialog1.FileName

  If Right(strFileName, 4) <> ".bmp" Then
    strFileName = strFileName & ".bmp"
  End If

  SavePicture Picture2.Image, strFileName
End Sub

Private Sub Form_Load()
  cmbBits.ListIndex = 0
  subInit
End Sub

Private Sub subInit()
  Dim lngBytesAvail As Long
  Picture1.ScaleMode = vbPixels
  lngBytesAvail = Int((Picture1.ScaleWidth * Picture1.ScaleHeight * Abs(chkRed + chkGreen + chkBlue) * (cmbBits.ItemData(cmbBits.ListIndex) + 1&)) / 8)
  lblBytesAvail.Caption = Len(Text1) & " of " & lngBytesAvail & " available bytes used"
End Sub

Private Sub Text1_Change()
  subInit
End Sub
